%define     anolis_release 1
Name:       iso-codes
Summary:    ISO code lists and translations
Version:    4.12.0
Release:    %{anolis_release}%{?dist}
License:    LGPLv2+
URL:        https://salsa.debian.org/iso-codes-team/iso-codes
Source0:    %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires: gettext
BuildRequires: python3
BuildRequires: make
BuildArch: noarch

# for /usr/share/xml
Requires: xml-common

%description
This package provides the ISO 639 Language code list, the ISO 4217
Currency code list, the ISO 3166 Territory code list, and ISO 3166-2
sub-territory lists, and all their translations in gettext format.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Files for development using %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the pkg-config files for development
when building programs that use %{name}.

%prep
%autosetup -n %{name}-v%{version}

%build
%configure
%make_build

%install
%make_install INSTALL="%{__install} -p"

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%dir %{_datadir}/xml/iso-codes
%{_datadir}/xml/iso-codes/*.xml
%{_datadir}/iso-codes

%files doc
%doc CHANGELOG-PRE-4.0.md CHANGELOG.md README.md TODO

%files devel
%{_datadir}/pkgconfig/iso-codes.pc

%changelog
* Tue Jan 31 2023 yuanhui <yuanhui@linux.alibaba.com> - 4.12.0-1
- update to 4.12.0

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.11.0-1
- update to 4.11.0

* Fri Apr 15 2022 yuanhui <yuanhui@linux.alibaba.com> - 4.9.0-1
- Init iso-codes for anolis os 23
